Skip to main content

Get User and Organization Details

API Description

Get details about the organization and the contact person that granted you access to their data. Pass the access token you received in a response body returned by a Request Token API into the Authorization request header, and the service will return the corresponding resource.

Request

Query Parameters

NameInput
expand
OPTIONAL

Expand

Add expand=granularAccess to include the granularAccess[] element in the response, describing the features your OAuth app has been delegated access to.

Path Template
GET {url}/api/v1/me
Path Example
GET {url}/api/v1/me?expand=granularAccess

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL

Authorization

MUST be Bearer {access_token}

Example Request Headers
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxOTc2IiwibmFtZSI6IkpvaG5
ueSBBcHBsZXNlZWQiLCJpYXQiOjQ0MzYyMDgwMH0.V3n-3AcvyfHSuTCE9DNX3gHY3ApdGhUlF1fp-7fiMhI
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: c74ac48d-07d2-4e24-958a-f1769a1b002a
content-type: application/json

Response Body

ParentNameOutput
$.user
REQUIRED
userfirstName
REQUIRED
userlastName
REQUIRED
$.orgDetails
REQUIRED
orgDetailsorgId
REQUIRED
orgDetailslegalName
REQUIRED
$.companyDetails
DEPRECATED
companyDetailscompanyId
DEPRECATED
companyDetailslegalName
DEPRECATED
$.granularAccess[]
CONDITIONAL
note

companyDetails and companyId are deprecated (output-only). These fields are included in responses for backward compatibility with existing integrations. Clients should transition to orgDetails and orgId. New integrations should not depend on these fields.

note

Apple Business cannot guarantee that Administrator credentials are not being shared by multiple individuals. When the same login email/password is being shared, the actual person that granted access may or may not be the contact person provided in the response body

Granular Access

granularAccess[] is returned only when the request includes expand=granularAccess, and only for an OAuth app access token. It lists the features your OAuth app may use and, for each, whether it applies to all of the organization's brands or a specific set of brand IDs.

ParentNameOutput
granularAccess[]feature
REQUIRED
granularAccess[]brandRef
REQUIRED

Feature

feature (string) identifies the delegated product feature. Treat as an open-ended value — new features may be added over time. Current values:

  • BRAND_PROFILES
  • LOCATIONS
  • BRANDED_MAIL
  • BUSINESS_CALLER_ID
  • VERIFY_WITH_WALLET_ON_THE_WEB.
note

The granularAccess[] array lists features granted to an OAuth app. Because the ADS_ON_MAPS feature is only available through ID-based delegation and not the OAuth grant flow, it will never appear in this list.

Brand Reference

Identifies which brands feature applies to.

ParentNameOutput
brandRefisAllBrands
REQUIRED
brandRefbrandIds[]
CONDITIONAL

isAllBrands (boolean) indicates whether feature applies to all of the organization's brands. brandIds[] lists the specific brand IDs feature applies to, and is only returned when isAllBrands is false.

Example Response Bodies

Without expand=granularAccess Query Parameter
{
"user": {
"firstName": "John",
"lastName": "Smith"
},
"orgDetails": {
"orgId": "9467895078742654934",
"legalName": "Big Enterprise"
},
"companyDetails": {
"companyId": "9467895078742654934",
"legalName": "Big Enterprise"
}
}
With expand=granularAccess Query Parameter (OAuth app access token)
{
"user": {
"firstName": "John",
"lastName": "Smith"
},
"orgDetails": {
"orgId": "9467895078742654934",
"legalName": "Big Enterprise"
},
"companyDetails": {
"companyId": "9467895078742654934",
"legalName": "Big Enterprise"
},
"granularAccess": [
{
"feature": "BRAND_PROFILES",
"brandRef": {
"isAllBrands": false,
"brandIds": [ "1237890009599", "1568998889123" ]
}
},
{
"feature": "LOCATIONS",
"brandRef": {
"isAllBrands": true
}
}
]
}